<!DOCTYPE html>
<html>
<head>
    <title>Home</title>
    <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='styles/nav.css')}}">
    <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='styles/base.css')}}">
    {% block custom_head %}{% endblock %}
</head>
<body>
    <!-- Navbar -->
<nav id="navbar">
    <ul class="navbar-items flexbox-col">
      <li class="navbar-logo flexbox-left">
        <a class="navbar-item-inner flexbox">
            <svg width="800px" height="800px" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" clip-rule="evenodd" d="M4.17157 3.17157C3 4.34315 3 6.22876 3 10V14C3 17.7712 3 19.6569 4.17157 20.8284C5.34315 22 7.22876 22 11 22H13C16.7712 22 18.6569 22 19.8284 20.8284C21 19.6569 21 17.7712 21 14V10C21 6.22876 21 4.34315 19.8284 3.17157C18.6569 2 16.7712 2 13 2H11C7.22876 2 5.34315 2 4.17157 3.17157ZM12.75 6C12.75 5.58579 12.4142 5.25 12 5.25C11.5858 5.25 11.25 5.58579 11.25 6V7.25H9.99997C9.58575 7.25 9.24997 7.58579 9.24997 8C9.24997 8.41421 9.58575 8.75 9.99997 8.75H11.25L11.25 10C11.25 10.4142 11.5858 10.75 12 10.75C12.4142 10.75 12.75 10.4142 12.75 10L12.75 8.75L14 8.75C14.4142 8.75 14.75 8.41421 14.75 8C14.75 7.58579 14.4142 7.25 14 7.25H12.75V6ZM8 13.25C7.58579 13.25 7.25 13.5858 7.25 14C7.25 14.4142 7.58579 14.75 8 14.75H16C16.4142 14.75 16.75 14.4142 16.75 14C16.75 13.5858 16.4142 13.25 16 13.25H8ZM9 17.25C8.58579 17.25 8.25 17.5858 8.25 18C8.25 18.4142 8.58579 18.75 9 18.75H15C15.4142 18.75 15.75 18.4142 15.75 18C15.75 17.5858 15.4142 17.25 15 17.25H9Z" fill="#ffffff"/>
                </svg>
        </a>
      </li>
      <li class="navbar-item flexbox-left">
        <a class="navbar-item-inner flexbox-left" href="{{url_for('index')}}">
          <div class="navbar-item-inner-icon-wrapper flexbox">
            <ion-icon name="search-outline"></ion-icon>
          </div>
          <span class="link-text">Home</span>
        </a>
      </li>
      <li class="navbar-item flexbox-left">
        <a class="navbar-item-inner flexbox-left" href="{{url_for('about')}}">
          <div class="navbar-item-inner-icon-wrapper flexbox">
            <ion-icon name="home-outline"></ion-icon>
          </div>
          <span class="link-text">About</span>
        </a>
      </li>
      <li class="navbar-item flexbox-left">
        <a class="navbar-item-inner flexbox-left" href="{{url_for('services.index')}}">
          <div class="navbar-item-inner-icon-wrapper flexbox">
            <ion-icon name="folder-open-outline"></ion-icon>
          </div>
          <span class="link-text">Services</span>
        </a>
      </li>
      <li class="navbar-item flexbox-left">
        <a class="navbar-item-inner flexbox-left" href="{{url_for('admin_panel.panel')}}">
          <div class="navbar-item-inner-icon-wrapper flexbox">
            <ion-icon name="folder-open-outline"></ion-icon>
          </div>
          <span class="link-text">Admin panel</span>
        </a>
      </li>
      <li class="navbar-item flexbox-left">
        {% if not connected %}
            <a class="navbar-item-inner flexbox-left" href="{{url_for('auth.authenticate')}}">
            <div class="navbar-item-inner-icon-wrapper flexbox">
                <ion-icon name="pie-chart-outline"></ion-icon>
            </div>
            <span class="link-text">Login</span>
        {% else %}
            <a class="navbar-item-inner flexbox-left" href="{{url_for('auth.logout')}}">
            <div class="navbar-item-inner-icon-wrapper flexbox">
                <ion-icon name="pie-chart-outline"></ion-icon>
            </div>
            <span class="link-text">Logout</span>
        {% endif %}
          
          
        </a>
      </li>
    </ul>
  </nav>

  <!--

    <div class="nav-menu" id="navMenu">
        <div class="nav-header">
            <div class="nav-toggle-container" onclick="toggleNav()">
                <button class="nav-toggle">☰</button>
            </div>
        </div>
        <ul class="nav-items">
            <li><a href="#">Home</a></li>
            <li><a href="#">About</a></li>
            <li><a href="#">Demandes</a></li>
        </ul>
        <div class="nav-footer">
            <div class="user-profile">
                {% if connected %}
                    <img src="{{pp}}" alt="User Profile Picture">
                {% else %}
                    <button class="login-button" onclick="window.location.href='/authenticate'">Login</button>
                {% endif %}
            </div>
        </div>
    </div>
-->
<main id="main" class="flexbox-col">
      {% with messages = get_flashed_messages() %}
        {% if messages %}
          <div id="overlay" class="overlay"></div>
            <div id="flash-message" class="flash-message">
              <span class="closebtn" onclick="closeFlashMessage();">&times;</span> 
      
              <ul class="flash_messages">
                  {% for message in messages %}
                      <li id="flash-message-content">{{ message }}</li>
                  {% endfor %}
              </ul>
            </div>
        {% endif %}
      {% endwith %}
        <h2>{% block section_title %}{% endblock %}</h2>
        {% block content %}{% endblock %}
    </main>
</body>
<script>
  window.onclick = function(event) {
    var flashMessageDiv = document.getElementById('flash-message');

    if (flashMessageDiv && event.target != flashMessageDiv && !flashMessageDiv.contains(event.target)) {
      closeFlashMessage()
    }

  }

  function closeFlashMessage() {
    var flashMessageDiv = document.getElementById('flash-message');
    var overlay = document.getElementById('overlay');

    flashMessageDiv.style.display = 'none';
    overlay.style.display = 'none';
}
</script>
</html>

    